# *thebeat*: Demonstration
<img src="https://raw.githubusercontent.com/Jellevanderwerff/thebeat/main/docs/source/thebeat_logo.png" height="350" width="350">

Thank you for taking a look at this demo!

The examples available here are meant as illustrations of what *thebeat* can do. They are the same as [those from the documentation](https://thebeat.readthedocs.io/), except that here they can be interacted with.

In addition, new notebooks can be created for testing out specific functions.

These are the included examples:

* **Snippets**
    * [Beat-finding using autocorrelations](snippets/autocorrelation.ipynb)
    * [Beat-finding using Fourier transform](snippets/fft.ipynb)
    * [Creating (random) inter-trial intervals](snippets/ITIs.ipynb)
    * [Exporting a DataFrame from a list of sequences](snippets/export_ioi_df.ipynb)
    * [Plotting phase differences (circular plots)](snippets/plot_phase_differences.ipynb)
    * [Plotting a single sequence](snippets/plot_single_sequence.ipynb)
    * [Plotting multiple sequences](snippets/plot_multiple_sequences.ipynb)
* **Use case scenarios**
    * [Isochronous sequences with target speech stimulus](usecases/bosker.ipynb)
    * [Rapid tone-pip sequences](usecases/bianco.ipynb)
    * [Roving oddball](usecases/oddball.ipynb)
    * [Uneven rhythms](usecases/repplondonkeller.ipynb)

Please note that:

* The Binder environment may take some time to open. It is an external free service, so unfortunately we have no influence on that. It should open up within a few minutes.
* Some of the notebook cells may look a little different than expected (they will contain no text markup). This is because these texts contain links that are meant for the package documentation. If desired, please refer to the relevant page in the documentation linked to above.


All the best,

Jelle van der Werff, Andrea Ravignani, and Yannick Jadoul
